Subject: bug#16737: closed (Re: [PATCH] Re-enable SIGIO when waiting for events)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Jul 2015 18:50:04 +0000

Your bug report

#16737: 24.3.50; Yank causes hang

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16737: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16737
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] Re-enable SIGIO when waiting for events
From: Tassilo Horn <[email-masked]>
To: Mike Crowe <[email-masked]>
Cc: Paul Eggert <[email-masked]>, [email-masked], Emacs Development <[email-masked]>
Date: Thu, 30 Jul 2015 20:49:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mike Crowe <[email-masked]> writes:

>> > Thanks for checking.  I installed a similar patch as Emacs master
>> > commit 0592cefd03f1de2f04b721d07a16e6e0a9e48f73; could you please
>> > give it a try?  It is like Mike Crowe's patch, except it avoids a
>> > race that could lose SIGIOs.  I'll also send a heads-up email to
>> > the relevant bug reports.
>> 
>> I prefer your version and will switch to testing it instead.
>
> I've been testing with 0592cefd03f1de2f04b721d07a16e6e0a9e48f73
> applied to Debian Jessie's emacs24 (24.4+1-5) for over a week now
> without seeing any problems so I think we can call the bug fixed.

And I run the git head updating daily, and the issue didn't occur to me
since that commit whereas it bit me several times a day before.  So I
can confirm that it's fixed (as multiple other already did in the
debbugs issue), so I close it with this mail.

Thanks!
Tassilo

Subject: 24.3.50; Yank causes hang
From: Sujith Manoharan <[email-masked]>
To: [email-masked]
Date: Thu, 13 Feb 2014 09:10:55 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Pasting content selected in a browser causes Emacs to hang completely
sometimes. This is not consistently reproducible, but it happens after
a few hours of usage, sometimes days.

"top" shows Emacs' CPU usage at 100% and after a few minutes, it stops
and the frame is usable again, but after this happens, doing any yank
causes Emacs to hang again, so it has to be killed and restarted to get
paste working again.

Kill/yank from within Emacs doesn't have this problem.

I attached using strace to the running Emacs process when this happened and
captured the log.

Please let me know if any other information is required.

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.22)
 of 2014-02-09 on nako
Windowing system distributor `The X.Org Foundation', version 11.0.11500000
Configured using:
 `configure --prefix=/usr/ --without-toolkit-scroll-bars --without-xaw3d
 --without-xim --without-gpm --without-gconf --without-gsettings
 --without-selinux --without-gnutls --with-x-toolkit=gtk2 --disable-acl
 --enable-link-time-optimization --without-compress-install'

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_IN.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  display-battery-mode: t
  display-time-mode: t
  iswitchb-mode: t
  savehist-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: 1
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> . <return> <down> <down> <down> <down> 
P l e a s e SPC l e t SPC m e SPC k n o w SPC u i f 
<backspace> <backspace> <backspace> i f SPC a n y SPC 
o t h e r SPC i n f o r m a t i o n SPC i s SPC r e 
q u i r e d . <return> <return> M-> <return> <return> 
C-c C-a e m a <tab> <return> <return> s t r a c e SPC 
l o g <return> M-< C-c C-c y y n <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <C-tab> <C-S-iso-lefttab> 
<up> C-x C-b g <down> <up> <return> M-< <down> <down> 
<down> <down> <down> <down> <down> <down> <up> <up> 
<up> C-e <return> C-c C-f C-c C-x u F r o m : SPC s 
u j i t h <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> S u j i t h SPC M a n o h a 
r a n SPC < s u j i t h @ m s u j i t h o <backspace> 
. o r g > M-x v m <return> v I <tab> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> S <tab> 
m <tab> <return> n n n n n n n n n n n n n n n n c 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> C-S-a C-S-g C-S-g C-S-a 
C-SPC <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
C-S-x R I C-S-g C-S-x R S 1 C-S-x K <return> C-S-x 
O G Q C-S-g C-S-g Q Q q M-x <up> <up> <return>

Recent messages:
SENT-msujith: 436 messages, 0 new, 0 unread, 0 deleted [3 times]
vm-next-message: End of folder [16 times]
Mark set
Quit [2 times]
Mark set
Mark activated
register-read-with-preview: Non-character input-event
Quit [2 times]
SENT-msujith: Quitting...
INBOX-gmail: Quitting...

Load-path shadows:
/usr/share/emacs/site-lisp/emms/tq hides /usr/share/emacs/24.3.50/lisp/emacs-lisp/tq

Features:
(ibuf-ext ibuffer eieio-opt speedbar sb-image ezimage dframe find-func shadow
emacsbug emms-info-libtag emms-playlist-limit emms-volume easy-mmode
emms-volume-amixer emms-i18n emms-history emms-score emms-stream-info
emms-metaplaylist-mode emms-bookmarks emms-lastfm-client xml parse-time emms-cue
emms-mode-line-icon emms-browser sort emms-playlist-sort emms-last-played
emms-player-xine emms-player-mpd tq emms-playing-time emms-lyrics emms-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util url-parse url-vars mailcap emms-streams emms-tag-editor emms-mark
emms-mode-line emms-cache emms-info-ogginfo emms-info-mp3info emms-info later-do
emms-playlist-mode emms-player-vlc emms-player-mplayer emms-player-simple
emms-source-playlist emms-source-file emms-setup emms emms-compat xterm
mule-util cal-move cal-menu calendar cal-loaddefs dired-aux cycbuf misearch
multi-isearch help-mode vm-delete network-stream starttls tls message idna
format-spec rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
gmm-utils mailheader smtpmail auth-source eieio eieio-core gnus-util
password-cache mailalias mailabbrev flyspell ispell vm-reply w3m-form w3m
browse-url doc-view jka-compr image-mode w3m-hist w3m-fb bookmark-w3m w3m-ems
w3m-ccl ccl w3m-favicon w3m-image w3m-proc w3m-util vm-w3m timezone u-vm-color
vm-save tapestry vm-sort sendmail rfc2047 rfc2045 ietf-drums mail-utils
vm-rfaddons vm-undo vm-virtual vm-summary-faces vm-pop utf7 mm-util mail-prsvr
vm-imap vm-thread vm-mime vm-toolbar vm-menu vm-window vm-folder vm-crypto
vm-summary vm-mouse vm-page vm-motion vm-minibuf vm-message vm-misc vm-macro
mairix vm-autoloads vm-vars vm-version vm shell pcomplete comint ansi-color
zenburn-theme-autoloads package byte-opt bytecomp byte-compile cconv eudcb-ldap
ldap eudc cus-edit cus-start cus-load eudc-vars wid-edit advice help-fns battery
time dired-x dired edmacro kmacro cl-loaddefs cl-lib xcscope ring easymenu
zenburn-theme server iswitchb savehist saveplace time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind gfilenotify dynamic-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)